#1798 closed defect (fixed)

Fix for CLOCK_*_CPUTIME_ID renaming

Reported by: Yaakov (Cygwin Ports) Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: ralf.corsepius@… Blocked By:
Blocking:

Description

My patch for newlib to fix the names of the CPU-time clocks for POSIX compliance[1] affects the compiling of RTEMS. Patch for CVS HEAD attached.

[1] http://sourceware.org/ml/newlib/2011/msg00183.html

Attachments (2)

rtems-clock_cputime_id.patch (5.1 KB) - added by Yaakov (Cygwin Ports) on May 16, 2011 at 10:36:44 PM.
CLOCK_*_CPUTIME -> CLOCK_*_CPUTIME_ID
rtems-clock_cputime_id_v1.patch (2.9 KB) - added by Yaakov (Cygwin Ports) on May 16, 2011 at 10:46:11 PM.
testsuite/psxtests/psxclock patch

Download all attachments as: .zip

Change History (7)

Changed on May 16, 2011 at 10:36:44 PM by Yaakov (Cygwin Ports)

CLOCK_*_CPUTIME -> CLOCK_*_CPUTIME_ID

comment:1 Changed on May 16, 2011 at 10:37:22 PM by Yaakov (Cygwin Ports)

attachments.ispatch: 01
attachments.mimetype: application/octet-streamtext/plain

Changed on May 16, 2011 at 10:46:11 PM by Yaakov (Cygwin Ports)

testsuite/psxtests/psxclock patch

comment:2 Changed on May 16, 2011 at 10:46:11 PM by Yaakov (Cygwin Ports)

attachments.isobsolete: 01

comment:3 Changed on May 18, 2011 at 4:20:22 AM by Ralf Corsepius

Cc: Ralf Corsepius added

comment:4 Changed on Jul 21, 2011 at 7:42:55 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

Should have been closed when committed.

comment:5 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.